Notices


Reply
Thread Tools
Posts: 544 | Thanked: 2,800 times | Joined on Oct 2009
#1
I have now gotten OpenSSL 1.1.0h from Debian to compile and work on Maemo Fremantle.
Source is at https://github.com/jonwil/openssl/ and binaries are at http://maemo.merlin1991.at/cssu/comm...ree/o/openssl/ and it seems to be working perfectly in my tests. But now I need to get support into QT4 and I am stuck.

There are these patches for a QT fork:
https://github.com/mkrautz/mumble-de...bc7545b80bd7fe
https://github.com/mkrautz/mumble-de...b523a3eccb8b58
but those are for QT 4.8.7 not the 4.7.4 version we currently have plus they are for OpenSSL 1.0.x not OpenSSL 1.1.0 so they are useless.

There is this Debian patch for 1.1.0 support
https://salsa.debian.org/qt-kde-team...nssl_1.1.patch
but its also for 4.8.7 and I have no clue what other changes have been made that we need to port over first.

Anyone got any ideas on what to do?
 

The Following 8 Users Say Thank You to jonwil For This Useful Post:
Posts: 544 | Thanked: 2,800 times | Joined on Oct 2009
#2
Hmmm, I think the answer might be to take the upstream tree that goes with that debian patch and do a diff of all the files in src/network/ssl (guessing that's the only place that touches OpenSSL) with the ones we have in our own tree and use that as a guide as to any changes that need to be made to our version of the code.
 

The Following 6 Users Say Thank You to jonwil For This Useful Post:
Posts: 544 | Thanked: 2,800 times | Joined on Oct 2009
#3
QT now supports TLS 1.1 and 1.2 if you pass QSsl::SecureProtocols, QSsl::TlsV1SslV3 or QSsl::AnyProtocol to e.g. QSslSocket::setProtocol. I back-ported most of the changes to the ssl code from QT 4.8.7 (including a couple security related things) and then applied the 2 debian local patches that changed the ssl code (one for doing something with SSL3 and then the one that actually supports OpenSSL 1.1)

Source code is at https://github.com/community-ssu/qt-x11-maemo and binaries are at http://maemo.merlin1991.at/cssu/comm...ree/q/qt4-x11/

You will need the new openssl, source code is at https://github.com/jonwil/openssl/ and binaries are at http://maemo.merlin1991.at/cssu/comm...ree/o/openssl/

So now anyone who needs TLS 1.2 support for a QT app on the N900 can get it.

And for those who are asking, NO, this does nothing about microb or the browser stuff which does not use QT or OpenSSL (the work on that is a different project that is a lot harder than this one was
 

The Following 11 Users Say Thank You to jonwil For This Useful Post:
Posts: 202 | Thanked: 940 times | Joined on Apr 2014 @ Madrid, Spain
#4
Hi!

Would you take a look at this branch of mine https://github.com/agamez/qt-x11-maemo/tree/UpgradeSSL ?

I did a few changes there, similar to those you have, so I could use QT on maemo against an upgraded openssl version I built myself a couple years ago.

Hope it helps!
__________________
OVI and downloads.maemo.nokia.com mirror
Yappari for Maemo
pyLedger for Maemo


If you want to donate, please read this. If you still want to donate, contact me via private message or email. Thank you.
 

The Following 4 Users Say Thank You to ceene For This Useful Post:
coderus's Avatar
Posts: 6,158 | Thanked: 11,661 times | Joined on Nov 2011 @ Open Mobile Platform, Innopolis, Russia
#5
QT is Quick Time

Qt library is Qt
__________________
Twitter | Openrepos | GitHub | PayPal.Me
 

The Following 2 Users Say Thank You to coderus For This Useful Post:
Reply

Thread Tools

 
Forum Jump


All times are GMT. The time now is 00:06.